Subject: bug#40462: 28.0.50; Building nativecomp branch segfaulting on FreeBSD

From: Andrea Corallo <[email-masked]>
Date: Sat, 18 Apr 2020 16:29:32 +0000

Ashish SHUKLA <[email-masked]> writes:

> There you go:
>
> ============================================================================
> chateau.d.if!abbe:/tmp λ cc -L/usr/local/lib/gcc9 -I/usr/local/include
> -o hello hello.c -lgccjit
> chateau.d.if!abbe:/tmp λ ldd ./hello
> ./hello:
>         libgccjit.so.0 => /usr/local/lib/gcc9/libgccjit.so.0 (0x800400000)
>         libc.so.7 => /lib/libc.so.7 (0x801e3b000)
>         libmpc.so.3 => /usr/local/lib/libmpc.so.3 (0x800249000)
>         libmpfr.so.6 => /usr/local/lib/libmpfr.so.6 (0x800262000)
>         libgmp.so.10 => /usr/local/lib/libgmp.so.10 (0x8002e0000)
>         libz.so.6 => /lib/libz.so.6 (0x800366000)
>         libm.so.5 => /lib/libm.so.5 (0x800380000)
> chateau.d.if!abbe:/tmp λ ./hello
> hello world
> ============================================================================

Mmmhh, this does (not) look good (for me) :)

Okay I'll have a look as soon as I get the time.

Do you know if it works as speed 0?

Thanks

-- 
[email-masked]